#
# spec file for package ttf-founder (Version 0.20040419)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ttf-founder
License:        Other License(s), see package, Commercial
Group:          System/I18n/Chinese
Autoreqprov:    on
PreReq:         %suseconfig_fonts_prereq
Version:        0.20040419
Release:        8.2
URL:            http://www.founder.com
Source0:        ttf-founder.tar.bz2
Source10:       fonts.scale.FZFangSong
Source11:       fonts.scale.FZHeiTi
Source12:       fonts.scale.FZKaiTi
Source13:       fonts.scale.FZKaiTiB
Source14:       fonts.scale.FZMingTiB
Source15:       fonts.scale.FZSongTi
Source20:       README
Source21:       COPYRIGHT-Founder-clarification.txt
BuildArchitectures: noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Chinese TrueType fonts made by Beijing Founder Electronics

%description
Chinese TrueType fonts made by Beijing Founder Electronics



Authors:
--------
    Beijing Founder Electronics Co., Ltd. <gzq@founder.com>

%debug_package
%package      simplified
Group:          System/X11/Fonts
Summary:        simplified Chinese TrueType fonts made by Beijing Founder Electronics
Provides:       scalable-font-zh-CN, scalable-font-zh-SG
Provides:       locale(zh_CN;zh_SG)

%description simplified
simplified Chinese TrueType fonts made by Beijing Founder Electronics



Authors:
--------
    Beijing Founder Electronics Co., Ltd. <gzq@founder.com>

%package      traditional
Group:          System/X11/Fonts
Summary:        traditional Chinese TrueType fonts made by Beijing Founder Electronics
Provides:       scalable-font-zh-TW
Provides:       locale(zh_TW;zh_HK)

%description traditional
traditional Chinese TrueType fonts made by Beijing Founder Electronics



Authors:
--------
    Beijing Founder Electronics Co., Ltd. <gzq@founder.com>

%prep
%setup -n %{name}
cp $RPM_SOURCE_DIR/COPYRIGHT-Founder-clarification.txt .

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/
install -c -m 644 *.ttf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/
install -c -m 644 $RPM_SOURCE_DIR/fonts.scale.* \
                  $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%post simplified
%run_suseconfig_fonts -c

%postun simplified
%run_suseconfig_fonts -c

%post traditional
%run_suseconfig_fonts -c

%postun traditional
%run_suseconfig_fonts -c

%files simplified
%defattr(-, root,root)
%doc COPYRIGHT-Founder*
%dir /usr/X11R6/lib/X11/fonts/truetype
/usr/X11R6/lib/X11/fonts/truetype/FZFangSong.ttf
/usr/X11R6/lib/X11/fonts/truetype/FZSongTi.ttf
/usr/X11R6/lib/X11/fonts/truetype/FZHeiTi.ttf
/usr/X11R6/lib/X11/fonts/truetype/FZKaiTi.ttf
%config /usr/X11R6/lib/X11/fonts/truetype/fonts.scale.FZFangSong
%config /usr/X11R6/lib/X11/fonts/truetype/fonts.scale.FZSongTi
%config /usr/X11R6/lib/X11/fonts/truetype/fonts.scale.FZHeiTi
%config /usr/X11R6/lib/X11/fonts/truetype/fonts.scale.FZKaiTi

%files traditional
%defattr(-, root,root)
%doc COPYRIGHT-Founder*
%dir /usr/X11R6/lib/X11/fonts/truetype
/usr/X11R6/lib/X11/fonts/truetype/FZMingTiB.ttf
/usr/X11R6/lib/X11/fonts/truetype/FZKaiTiB.ttf
%config /usr/X11R6/lib/X11/fonts/truetype/fonts.scale.FZMingTiB
%config /usr/X11R6/lib/X11/fonts/truetype/fonts.scale.FZKaiTiB

%changelog -n ttf-founder
* Tue Aug 15 2006 - mfabian@suse.de
- Bugzilla #196191: add XLFDs like "-misc-fz...-..." to
  fonts.scale.* to make flash-player find the fonts.
* Tue Feb 28 2006 - zsu@suse.de
- bug #153791; use semicolon instead of comma to split the locale list.
* Tue Feb 28 2006 - zsu@suse.de
- add Provides: locale(zh_CN,zh_SG) to ttf-founder-simplified
- add Provides: locale(zh_TW,zh_HK) to ttf-founder-traditional
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Feb 22 2005 - mfabian@suse.de
- add big5-0 and big5.eten-0 encoding to fonts.scale.FZKaiTiB
  and fonts.scale.FZMingTiB. Needed for xcin because xcin
  needs a big5-0 font. There used to be aliases for big5-0
  in /usr/X11R6/lib/X11/fonts/fonts.aliases for
  the bitmap fonts from ifntchia but these are gone. But they
  can be replaced with the founder fonts if we introduce the big5-0
  encoding in the XLFD.
* Fri Dec 03 2004 - mfabian@suse.de
- use new macro "%%run_suseconfig_fonts -c"
* Tue Sep 14 2004 - mfabian@suse.de
- add clarification of English statement in COPYRIGHT-Founder.txt.
  Due to a translation error, point 3 in the English version
  of the license can be easily misunderstood.
* Mon Sep 13 2004 - mfabian@suse.de
- Bugzilla #45156: add "Provides: scalable-font-zh-{CN,TW,SG}".
* Mon May 24 2004 - mfabian@suse.de
- Bugzilla #40906: update FZKaiTiB.ttf and FZMingTiB.ttf because
  the glyphs 0x3C18 and 0x02C9 were missing.
* Mon May 17 2004 - kukuk@suse.de
- Fix version/release lines in spec file
* Mon Apr 19 2004 - mfabian@suse.de
- new package. Version 0.20040419
